﻿using ComputersShopContracts.Attributes;
using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.ViewModels
{
	public class ComponentViewModel : IComponentModel
	{
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("Название комплектующего", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ComponentName { get; set; } = string.Empty;
		[Column("Цена", width: 80)]
		public double Cost { get; set; }
	}
}
